/*
    $File$
    Date	Author		Changes
    Nov 30 2000 Richard Jones	Created

    Copyright (C) 2000 Richard Jones
    All rights reserved.
 */

package MetaTF;

/**
 * Constants used by MetaTF
**/
public class MetaTFConstants {
  private static final String cvsheader = "$Header: /home/cur/rej/cvs/MetaTF/src/MetaTF/MetaTFConstants.java,v 1.3 2001/03/29 15:53:01 rej Exp $";

    // quick and dirty...

    // Tags
    /** Comment tag character **/
    public static final char Comment  = '#';
    /** Section tag character **/
    public static final char Section  = '$';
    /** Metadata tag character **/
    public static final char Metadata = '!';

    /** Comment tag value used by readers **/
    public static final int CommentTag = -1; 
    /** Section tag value used by readers **/
    public static final int SectionTag = -2; 
    /** Metadata tag value used by readers **/
    public static final int MetadataTag = -3; 

    /** Metadata record encoding for <i>all fields in all records</i> **/
    public static final char All     = '*';
    
    /** Metadata encoding encoding **/
    public static final int BaseOffset = 0;
    /** Metadata encoding encoding **/
    public static final int Default    = 1;
    /** Metadata encoding encoding **/
    public static final int Delta      = 2;
    /** Metadata encoding encoding **/
    public static final int None       = 3;
    /** Metadata encoding encoding **/
    public static final int SectionOffset = 4;
    /** Metadata encoding encoding **/
    public static final int SectionStride = 5;
    /** Metadata encoding encoding **/
    public static final int Stride     = 6;
    /** Metadata highest-valued encoding encoding **/
    public static final int MAX        = 6;    
}
