/*
    $File$
    Date        Author          Changes
    Nov 21 2000 Richard Jones   Created

    Copyright (c) 2000, Richard Jones
    All rights reserved.
 */

 
package MetaTF.Parser;

/**
 * Exception class for the symbol table
 * Raised for any error in constructing or accessing the symbol table
 *
 * @see <a href="metatf.jjt">The MetaTF Grammar</a>
 * @version rel-1-2 ($Revision: 1.3 $, $Date: 2000/12/15 16:29:55 $),
 * @author Richard Jones
**/
public class DTDException extends Exception {
  private static final String cvsheader = "$Header: /home/cur/rej/cvs/MetaTF/src/MetaTF/Parser/DTDException.java,v 1.3 2000/12/15 16:29:55 rej Exp $";

    /**
     * Allocate a new object representing the exception
     *
     * @param e an error message
    **/
	public DTDException(String e) { super(e); }
}
